@import 'scss/utils/vars.scss';

.button {
  position: relative;
  width: 100%;
  border-radius: 22px;
  font-size: $fontSizeLabel;
  font-weight: 700;
  text-align: center;
  text-transform: uppercase;
  text-decoration: none;
  user-select: none;
  overflow: auto;
  cursor: pointer;

  @media (max-width: $widthPhone) {
    margin: 0 auto;
  }

  &_type {
    &_submit {
      display: inline-block;
      height: 44px;
      padding: 0 44px 1px;
      border: none;
      font-family: $fontMain;
      letter-spacing: .001em;
      color: $colorBackground;
      background: $gradientMain;
      outline: none;

      &:hover {
        opacity: 0.5;
      }

      &:disabled  {
        opacity: 0.5;
      }
    }

    &_registration {
      display: flex;
      justify-content: center;
      align-items: center;
      height: 100%;
      min-height: 34px;
      padding: 0 11px 0 10px;
      letter-spacing: 0.001em;
      color: $colorBackground;
      background: $gradientMain;

      &:hover {
        opacity: 0.5;
      }

      &::before {
        content: '';
        display: inline-block;
        vertical-align: middle;
        height: 100%;
      }
    }

    &_signIn {
      display: flex;
      justify-content: center;
      align-items: center;
      height: 100%;
      min-height: 34px;
      padding: 0 20px;
      border-radius: 22px;
      color: $colorBrandMain;
      background: transparent;
      text-decoration: none;
      border: 0;

      &:hover::before {
        opacity: 0.5;
      }

      &::before {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        border-radius: 22px;
        background: $gradientMain;
      }

      &::after {
        content: '';
        position: absolute;
        top: 2px;
        left: 2px;
        width: calc(100% - 4px);
        height: calc(100% - 4px);
        border-radius: 22px;
        background: $colorBackground;
      }

      &Text{
          z-index: 1;
      }
    }
  }

  &_in {
    &_details, &_landing {
      padding-right: 48px;
    }

    &_authorization {
      padding: 0px;
    }
  }

  &_size_fitContent {
    max-width: min-content;
  }

  &__icon {
    position: absolute;
    top: 10px;
    right: 10px;
    width: 24px;
    height: 24px;
    color: $colorBackground;
  }
}
